Ubuntu

Compiz won't start if "unredirect fullscreen windows" is enabled

Reported by Leuke on 2012-04-13
176
This bug affects 35 people
Affects Status Importance Assigned to Milestone
Compiz
High
Daniel van Vugt
Compiz Core
High
Daniel van Vugt
Unity
High
Marco Trevisan (Treviño)
5.0
High
Marco Trevisan (Treviño)
compiz (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Test Case]
1. Open CCSM
2. Navigate to ccsm -> Composite
3. Enable unredirect fullscreen windows
4. Reboot
   -> Verify that after the reboot Unity works correctly

[Regression Potential]
Visual regressions at most.

Original description:

Setting "unredirect fullscreen windows" in ccsm prevents compiz to start on the next startup, the only visible part of the screen will be the wallpaper. The only way to recover is logging into Unity-2d and resetting the default compiz settings, where that option is disabled.

To reproduce, simply:
    - navigate to ccsm -> Composite
    - enable unredirect fullscreen windows
    - reboot

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: compiz 1:0.9.7.4-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] È una directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 295.33 Sat Mar 17 14:56:23 PDT 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu4)
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu2
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Fri Apr 13 11:45:32 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 295.33, 3.2.0-23-generic-pae, i686: installed
GraphicsCard:
 NVIDIA Corporation ION LE VGA [10de:087f] (rev b1) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c056]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120324)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: SAMSUNG ELECTRONICS CO., LTD. N510
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=708488ca-c05c-4623-b349-3ec0bf6d25ba ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 08/24/2009
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 02MU.M004.20090824.LDG
dmi.board.name: N510
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr02MU.M004.20090824.LDG:bd08/24/2009:svnSAMSUNGELECTRONICSCO.,LTD.:pnN510:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN510:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N510
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.7.4-0ubuntu3
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Leuke (leuke) wrote :
description: updated
Monkey (chris-boyle-1978) wrote :

This bug affects me as well. It's also easy to reproduce by the steps listed above.

Changed in compiz (Ubuntu):
status: New → Confirmed
Leuke (leuke) wrote :

It's quite annoying because compiz still interferes with some programs, especially with some video players as XBMC for example (in its wiki it's explicitly advised to enable "unredirect fullscreen windows").

yossarian_uk (morgancoxuk) wrote :

Effects me too

Its really annoying as some (older) games run so slow UNLESS I enable 'unredirect fullscreen windows'

Its annoying as the option works, only when you restart unity you can't do anything (except restart lightdm)

I have a Nvidia GTS 450...

yossarian_uk (morgancoxuk) wrote :

Another example is the Unigine benchamark

unigine.com/products/unigine/

If you run this out the box in unity its not only 1/2 the speed it should be the graphics are not actually correct.

However if I enable 'unredirect fullscreen windows' then the speed is normal.

If I go into cinnammon its better, 2d desktops its perfect...

This is a bad bug - surely the 'unredirect fullscreen windows' option should be enabled by default - otherwise newbies will take about 5 minutes to decide to just go back to windows (which they would mistakenly think is twice as fast in terms of 3D speed....)

askuhn (askuhn) wrote :

I've also used this setting to fix XBMC because compiz causes severe tearing without it.

I've added a startup entry that runs "/usr/bin/compiz" upon login as a temporary workaround that works about 90% of the time, but I still occasionally end up with a session that only shows the wallpaper.

I would greatly appreciate some sort of fix for this "regression" (since this option had no issues in 11.10 and before) and/or a more general effort to relieve these long standing tearing/graphical issues that seem to come with compiz. Thanks!

Nvidia GTS 250, proprietary driver 295.40, Ubuntu 12.04

YaPeL (yapel) wrote :

This should be enabled by the fault also.

YaPeL (yapel) wrote :

I meant ****by default****

Danillo (danillo) wrote :

I guess the reason why this option isn't on by default was bug #153204. However, I have just tried to reproduce it in compiz 0.9.7.8 and unity 5.12.0 with Firefox, Totem, and Vlc and it seems to me that this bug is gone. So, other than this current bug with unity, i don't think there is another reason not to make it default anymore.

Changed in unity:
status: New → Confirmed
yossarian_uk (morgancoxuk) wrote :

By not having the option enabled Ubuntu is 1/2 the speed in games compared with Kubuntu / Xubuntu, Bodhi, etc

Its a fault 100% with unity's interaction with compiz...

I really fear this bug will cause Linux to get unnecessarily bad press with gamers...

Phoronix did a benchmark showing intel h/w being about 30% slower in Ubuntu 12.04 compared to Windows 7 .

I wonder if that is related to this issue?

yossarian_uk (morgancoxuk) wrote :

I notice this is still 'unassigned' - how do we get it 'assigned' and stop unity damaging Linux's reputation as a gaming system?

Danillo (danillo) wrote :

Here are the relevant links for Phoronix performance tests:
http://www.phoronix.com/vr.php?view=MTA2NDA
http://www.phoronix.com/vr.php?view=17314

It would be nice if Phoronix or someone else compared Unity's game performance with this option on and off to see how much of an impact it really is, but lots of comments on the corresponding Phoronix forum discussions do affirm that this impact is significant.

I fixed this by unselecting "Have file manager handle the desktop" in gnome-tweak-tool. This however is just a hack for users like me who don't like desktop icons ;)

You might be able to use something like thunar or pcmanfm to handle the desktop instead.

NY00123 (ny00) wrote :

I may confirm the bug, although the behavior is a bit inconsistent.

Here is what I've had for today. "Unredirect fullscreen windows" has been toggled on during that time.
- On the first boot for today, Unity with Compiz has started as expected.
- Upon a reboot (applied after a kernel update), it hasn't. A crash dialog has appeared ~20 seconds after loading the desktop (without Unity and Compiz). I've chosen to relaunch Compiz in the dialog, resulting in Unity and Compiz loading and working.

Danillo (danillo) wrote :

New benchmarks comparing Compiz/Unity to other DEs: http://www.phoronix.com/scan.php?page=article&item=intel_ivy_desktops&num=1

KDE's Kwin with desktop effects suspended upon running full-screen OpenGL applications (an option similar to Compiz's unredirect fullscreen windows) performances close to XFCE.

yossarian_uk (morgancoxuk) wrote :

The phoronix benchmarks do not tally with what I see.

I have a nvidia 450 , I have just got a i5 CPU and its unity is still unusable for games, ALL other desktops are fine.

The unigine benchmark for example is not only 50% slower it looks terrible (i.e not disaplying correctly) unless I enable 'unredirect fullscreen windows

Perhaps nvidia driver users are more effected by this ?

askuhn (askuhn) wrote :

Any news/progress on this regression? It remains in Unity 5.12 (5.12-0ubuntu1.1). XBMC behaves itself better with unredirect enabled on my nvidia hardware and its inconvenient to switch my DE from Unity when I want to use it...

yossarian_uk (morgancoxuk) wrote :

Also confirmed to still be an issue

Unity 5.12
Ubuntu 12.04 X86_64

yossarian_uk (morgancoxuk) wrote :

Sorry forgive me after the latest updates, I can now enable 'unredirect fullscreen windows' and reboot into Unity fine.

So this issue seems solved ? (anyone else seeing this?)

However the issue remains that by default, for Nvidia + Unity users performance is terrible, but not just that it has rendering issues also - its a compiz rather than unity issue btw:

https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1012401

so 'out the box' a Nvidia user's experience in Unity is going to not be good....

Just clicking that option makes such a world of difference in performance

Leuke (leuke) wrote :

I've been using unity 5.12 from the proposed updates for a while and for me this issue is not solved. The workaround in comment #13 is working, so it should be a bug in compiz/unity interacting with nautilus

askuhn (askuhn) wrote :

I think that leuke and andrewcomminos might be right about nautilus. When I enable unredirect and reboot, my desktop icons draw, then disappear for a split second while compiz crashes, then reappear. If I double click on /usr/bin/compiz, Unity (re)starts perfectly fine.

yossarian_uk (morgancoxuk) wrote :

I submitted a bug report regarding graphic issues I was getting with unity3d (Only..)

http://unigine.com/products/heaven/

- A Laggy/ghosting rectangle in the middle of the screen - as well as absolutely awful 3D performance (unless I select 'unredirect fullscreen windows')

(try it - Fullscreen - to see what I mean..)

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1012401

- They gave a solution which fixes the rectangle /lagging issue however performance is still really really bad...
- The ONLY solution that fixes the performance issue is unredirect fullscreen windows
 - This surely means that most nvidia/unity3D users are having an absolutely terrible experience...

I think this ticket is related also..

affects: unity → compiz
Changed in compiz:
milestone: none → 0.9.8.0
importance: Undecided → Medium
importance: Medium → High
Changed in compiz (Ubuntu):
importance: Undecided → High
John Park (johndouglaspark) wrote :

I'm also having this problem. I'm running Unity 2D until this is fixed.

Laryllan (laryllan) wrote :

Comment #13 solved the problem for me too.
Fullscreen games are so much faster now... :D

Thank you, Andrew!

Daniel van Vugt (vanvugt) wrote :

Yes, thanks Andrew. Nautilus creates a fullscreen window on the desktop so you can do file management and clicks there. However since that fullscreen window is most definitely on the bottom, not the top, I think "unredirect fullscreen windows" is failing to account for the stacking order correctly.

Still, nice workaround.

Jorge Suárez de Lis (ys) wrote :

I think this should be addressed for 12.04, before important games from Valve start being released. I think that Ubuntu should fix this and activate "unredirect fullscreen windows" option by default.

Sorry for the unhelpful comment.

Daniel van Vugt (vanvugt) wrote :

Yes we plan to revisit this and hopefully fix it before 12.10.

Laryllan (laryllan) wrote :

After using the workaround for a while, i encountered the following problem:

When any app is maximised (e.g. Firefox), the Dash does not show.
I can see the background of launcher and panel changing, but it seems the maximised application is still howering above it.

Daniel van Vugt (vanvugt) wrote :

I don't think that's an issue with the workaround, but rather a much older issue with the way compiz "unredirects" windows. Such (unre)direct-rendered windows will be on top of everything else. That's something else we'd have to fix, but is a different bug.

Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Changed in compiz:
assignee: nobody → Daniel van Vugt (vanvugt)
tags: added: unredirect
Daniel van Vugt (vanvugt) wrote :

I can't seem to reproduce this bug at all. I have tried:
  Ubuntu 12.04
  Ubuntu 12.10
  Current compiz trunk (0.9.8.0)

None of them show this bug. However the first two look like they might be suffering from bug 1041066.

Daniel van Vugt (vanvugt) wrote :

Hmm, I just noticed in the duplicate and this one people only report the bug with nvidia. I shall have to try that.

Changed in compiz:
assignee: Daniel van Vugt (vanvugt) → nobody
assignee: nobody → Daniel van Vugt (vanvugt)

OK, it took many attempts but finally I reproduced this with nvidia. Turns out it's not a window stacking problem at all. It is compiz crashing somewhere in the nvidia driver...

==24245== Invalid read of size 4
==24245== at 0x403ED72: ??? (in /tmp/glnBE1LO (deleted))
==24245== by 0x4070FFF: ??? (in /dev/nvidia0)
==24245== by 0xFBBDA8B: ??? (in /dev/nvidia0)
==24245== by 0x3: ???
==24245== Address 0x0 is not stack'd, malloc'd or (recently) free'd
==24245==
==24245==
==24245== Process terminating with default action of signal 11 (SIGSEGV)
==24245== Access not within mapped region at address 0x0
==24245== at 0x403ED72: ??? (in /tmp/glnBE1LO (deleted))
==24245== by 0x4070FFF: ??? (in /dev/nvidia0)
==24245== by 0xFBBDA8B: ??? (in /dev/nvidia0)
==24245== by 0x3: ???

summary: - Compiz won't start if "unredirect fullscreen windows" is enabled
+ [nvidia] Compiz won't start if "unredirect fullscreen windows" is
+ enabled
summary: - [nvidia] Compiz won't start if "unredirect fullscreen windows" is
+ [nvidia] Compiz crashes on startup if "unredirect fullscreen windows" is
enabled

I suspect this might be the same as the nvidia crash in bug 982626. It was reported that a similar workaround avoided that one too.

To prove it's the same bug I need to show unredirection is working for Unity 6.2, which I haven't yet due to bug 1041066.

Daniel van Vugt (vanvugt) wrote :

Unfortunately this is also a stacking problem. On random occasions (usually when switching desktops) my Desktop window comes to the top of the stack and gets stuck there (bug 1041047). When I stop to look at what happened, the desktop has gone to the bottom of the stack where it belongs. But by then it's too late and the unredirected desktop is stuck on top.

Changed in compiz:
status: Confirmed → In Progress
summary: - [nvidia] Compiz crashes on startup if "unredirect fullscreen windows" is
- enabled
+ Compiz won't start if "unredirect fullscreen windows" is enabled
Changed in unity:
status: New → Fix Released
Changed in unity:
importance: Undecided → High
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in compiz:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3338

Changed in compiz:
status: Fix Committed → Fix Released
description: updated

Hello Leuke, or anyone else affected,

Accepted unity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/5.16.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Jan Rathmann (kaiserclaudius) wrote :

For me the fix seems to work. Unity still comes up properly if the unredirect-option is set and the performance of a fullscreen OpenGL game I started tentatively hints that unredirecting is indeed working. I logged in for three times, one after a system reboot, no problem so far. If I experience any bug in the future that seems to be introduced by this update, I'll report it here.

Omer Akram (om26er) on 2012-09-12
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu Precise):
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

All,

I would suggest waiting for compiz 0.9.8.2 in quantal (the full fix) before verifying this bug. It's likely the unity fix by itself will not be enough in some cases.

Later when people are happy with that and other unredirection fixes are completed, they can be backported to compiz 0.9.7 for precise.

Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package compiz - 1:0.9.8.2+bzr3377-0ubuntu1

---------------
compiz (1:0.9.8.2+bzr3377-0ubuntu1) quantal-proposed; urgency=low

  [ Sam Spilsbury ]
  * debian/python-compizconfig.install
    - Install compizconfig-python.pc
  * debian/patches/100_expo_layout.patch
    - re-add the expo layout that used to be in precise (LP: #1047067)
    - add some testcases

  [ Timo Jyrinki ]
  * New upstream snapshot.
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Don't waste CPU looping through and looking at all the windows if you're
      rendering an output that has no damage on it. (LP: #1014986)
    - Updated convert files to fix some typos in the key names. (LP: #1041631)
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Treat unresolved symbols at link time as an error, rather than letting
      them through and cause strange crashes later. (LP: #1043143)
    - Refactors a little bit of the upgrade code and gets it under test to
      prepare to fix (LP: #1042537)
    - Updated AUTHORS from the full bzr log, and re-sort the list.
      (LP: #1042095)
    - Fixes FTBFS for kde4-window-decorator (LP: #1041310)
    - Fix obvious omissions from the introduction of unminimize_*,
      which were causing the unminimize animation settings to be ignored
      (LP: #1040455)
    - resize plugin: don't crash if resize wasn't initiated externally
      (LP: #1045191)
    - Clean up capitalization (LP: #1045652)
    - Avoid division by zero, if plugins try to deform a window down to size
      zero. (LP: #1045235)
    - Make "Unredirect Fullscreen Windows" more reliable. This fixes the
      problem with unredirection failing to engage at all (LP: #1041066) when
      gtk-window-decorator creates offscreen windows that are stacked on top.
      This also fixes the problem with unredirect hiding all windows,
      because it thinks the desktop window should be stacked on top
      (LP: #980663).
    - Ensure unredirected windows don't stay unredirected if they're no longer
      on top. (LP: #1041047)
    - Fix launching terminal functionality and make show-hud default key
      visible. Update the defaults to org.compiz.integrated to reflect the
      actual gnome values pre-gnome-3. (LP: #1040081) (LP: #1046199)
      (LP: #1046190)
    - Fix show-hud, bump COMPIZ_GNOME_INTEGRATED_SETTINGS_LIST_SIZE.
      (LP: #1046212)
    - Fixed: Windows with an alpha-channel, like gnome-terminal, were not
      being considered as possibly covering fullscreen windows. But they most
      certainly can. This ensures such RGBA windows are visible if they're
      stacked above a fullscreen window. (LP: #1046661)
    - Remove ListToStringList (LP: #1046184)
    - Fix typo causing CMake Error (LP: #1045665)
    - Transitions gtk-window-decorator over to use GSettings. Add a testing
      framework for the options code. (LP: #1042323)
    - Also need kdeworkspace since kdecorationbridge.h is there
      (LP: #1046770)
    - Implements some cleanup that was suggested on the merge for the original
      port to gsettings. Other issues fixed as wel...

Read more...

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 5.16.0-0ubuntu1

---------------
unity (5.16.0-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Update libgeis-dev and libgrail-dev dependencies in debian/control
  * New upstream release.
    - launcher is not refreshed after user session switch (LP: #1016430)
    - Dragging windows around is slow/sluggish/laggy when multiple monitors
      are enabled (LP: #874619)
    - Dragging icons to reorder -away from launcher causes the dragged icon
      image edges to fade away(cut off) (LP: #1026247)
    - Arrow for indicating lenses points empty space on alt+F2 (LP: #998752)
    - Tooltips backgrounds are not refreshed (no active blur) (LP: #967112)
    - [regression] Unity panel transparency (active blur) not updating properly
      (LP: #865006)
    - [Regression] Hideous low-res icon when using the HUD with autohide
      enabled. (LP: #1035951)
    - Launcher dragged icon is not redrawn when the mouse pointer is not moved
      (LP: #1032700)
    - Black background around after dash is restored (LP: #992516)
    - Refreshing active blur makes the dash painfully slow (LP: #874230)
    - [SRU regression] alt-grave not switching to next window unless 'grave'
      pressed twice (LP: #1035668)
    - [SRU Regression] Unity 5.14 + Nux 2.14: Launcher tooltips are
      incomplete/missing (LP: #1034164)
    - [nvidia] unity crashed in
      nux::GraphicsEngine::QRP_GLSL_1Tex (glDrawArrays) (LP: #1031554)
    - compiz crashed with SIGSEGV in
      unity::ui::EdgeBarrierController::Impl::OnPointerBarrierEvent()
      (LP: #1020075)
    - Much slower OpenGL frame rates with unityshell loaded, than plain compiz
      (LP: #988079)
    - Compiz won't start if "unredirect fullscreen windows" is enabled
      (LP: #980663)
    - [regression] Unity launcher on-screen corruption on resume from suspend
      with nVidia proprietary driver (LP: #915265)
    - Desktop, Launcher and menu bar still visible when screen locked
      (LP: #886605)
    - Unity is visible on top of fullscreen apps (LP: #734908)
    - [nvidia] compiz crashed with SIGSEGV in
      nux::BasePainter::PaintBackground (LP: #982626)
    - Update dependency on the renamed libgeis

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest nux as libgeis-dev and libutouch-geis-dev are
      conflicting (LP: #1047385)
 -- Lukasz 'sil2100' Zemczak <email address hidden> Tue, 11 Sep 2012 10:53:17 +0200

Changed in unity (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

yossarian_uk (morgancoxuk) wrote :

Confirmed fixed !

yossarian_uk (morgancoxuk) wrote :

However why is this not the default ? And is it ever likely to be (why not if not)

Out the box unity is still 1/2 the speed it should be (until you enable unredirect fullscreen windows)

Daniel van Vugt (vanvugt) wrote :

yossarian_uk: Good question. The reason is because there are some serious driver bugs, and less serious compiz bugs that unredirect can trigger.

The driver bugs are all listed here:
https://bugs.launchpad.net/ubuntu?field.tag=unredirect

The compiz bugs are all listed here:
https://bugs.launchpad.net/compiz/+bugs?field.tag=unredirect

Vadim Peretokin (vperetokin) wrote :

This fix is available in precise-updates, so shouldn't it be listed as "fix released" for precise and ubuntu?

Daniel van Vugt (vanvugt) wrote :

That's a mistake. It's definitely not released to precise as shown here:
https://launchpad.net/ubuntu/+source/compiz

And I cannot see the fix even committed to the precise-proposed code yet.

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Daniel van Vugt (vanvugt) wrote :

To clarify:

The main fix is the Compiz fix, not the Unity fix. But you really should have both to resolve the bug.

The key Compiz fix has not been backported to precise at all. And nor should it at least without a fix for bug 1053902 too.

Changed in compiz-core:
status: New → Confirmed
haha01haha01 (haha01haha01) wrote :

Are there any plans to backport compiz 0.9.8.x to precise now that bug 1053902 has been fixed? As a gamer using Ubuntu 12.04 this bug is heavily affecting me and I am considering replacing unity as gaming performance under it is horrible.

Daniel van Vugt (vanvugt) wrote :

Yes, backporting to compiz 0.9.7 for precise will be done. Not least to support Steam.

Changed in compiz-core:
milestone: none → 0.9.7.10
importance: Undecided → High
Changed in compiz-core:
status: Confirmed → Triaged
Changed in compiz (Ubuntu Precise):
status: Confirmed → Triaged
Changed in compiz-core:
assignee: nobody → Daniel van Vugt (vanvugt)
status: Triaged → In Progress
Changed in compiz-core:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-core at revision 3124, scheduled for release in Compiz Core 0.9.7.10

Changed in compiz-core:
status: Fix Committed → Fix Released

Hello Leuke, or anyone else affected,

Accepted compiz into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.7.12-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Precise):
status: Triaged → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Works fine.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.12-0ubuntu1

---------------
compiz (1:0.9.7.12-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/revert_fix_994841.patch,
    debian/patches/revert_fix_933776_955035.patch
    - Removed, upstreamed
  * debian/watch:
    - Changed to the correct LP tarball path
  * debian/patches/compiz-package-gles2.patch:
    - Updated GLES patches to properly apply to the new compiz version

  [ Timo Jyrinki ]
  * New upstream release.
    - Compiz won't start if "unredirect fullscreen windows" is enabled
      (LP: #980663)
    - "Unredirect Fullscreen Windows" stay on top (unredirected) even
      when they're not on top any more (or the output is transformed)
      (LP: #1041047)
    - Unredirect Fullscreen Windows sometimes fails to unredirect fullscreen
      windows at all (LP: #1041066)
    - "Unredirect Fullscreen Windows" stay on top (unredirected) even when
      an RGBA window is stacked above it (LP: #1046661)
    - scale mode is not visible if a fullscreen window is unredirected
      (LP: #1047168)
    - Unredirecting a fullscreen window on a secondary monitor causes that
      monitor to flicker (LP: #1050749)
    - "Unredirect Fullscreen Windows" makes multi-monitor rendering much
      slower (LP: #1051885)
    - [regression] Maximized window gets unredirected when it's not
      fullscreen (LP: #1053902)
    - Unredirected fullscreen windows freeze and stay on top when wall
      sliding (Ctrl+Alt+Left/Right) (LP: #1084401)
    - "Unredirect Fullscreen Windows" can cause significant tearing on
      fullscreen windows (especially playing video) on some drivers
      (LP: #1051802)
    - HTML5 video in Firefox continues to tear (LP: #1086337)
    - Add support for blacklisting some drivers from using unredirected
      fullscreen windows. By default intel and nouveau on Mesa 8.0
      are blacklisted, configurable via ccsm. Users can upgrade to
      Mesa 9.0 around 12.04.2 time. (LP: #1089246)
    - Unredirect fullscreen windows should be the default for optimal
      performance (LP: #1063690)
  * debian/patches/workaround_broken_drivers.patch:
    - Updated to apply.
  * debian/patches/force_unredirect_enabling.patch:
    - Enable unredirect_fullscreen_windows unconditionally. Because of
      gconf hurdles we can't easily migrate existing users into the
      new default otherwise. Unredirection can be easily disabled with
      the new unredirect_match option, by blanking it completely,
      including removing the '(any)' part.
  * debian/patches/compiz-package-gles2.patch:
    - Update for the new blacklisting feature as well
  * debian/patches/blacklist_no_xml_double_escaping.patch:
    - Cherry-pick fix for the default string (LP: #1091103)

  [ Michael Terry ]
  * debian/patches/blacklist_no_xml_double_escaping.patch:
    - Update to also blacklist Mesa 9.0, which precise users may have from
      the x-updates PPA. 9.0 seems to have similar problems as 8.0 on
      Intel hardware.
 -- Timo Jyrinki <email address hidden> Fri, 14 Dec 2012 10:41:24 +0200

Changed in compiz (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.